libppx-tools-ocaml-dev_5.0+4.05.0-1_i386.deb


Advertisement

Description

libppx-tools-ocaml-dev - tools for authors of OCaml syntactic tools

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libppx-tools-ocaml-dev
Package version 5.0+4.05.0
Package release 1
Package architecture i386
Package type deb
Installed size 8.78 KB
Download size 503.76 KB
Official Mirror archive.ubuntu.com
This package includes tools for authors of syntactic tools (such as
ppx rewriters):
* ppx_metaquot: a ppx filter to help writing programs which
manipulate the Parsetree, by allowing the programmer to use
concrete syntax for expressions creating Parsetree fragments and
patterns deconstructing Parsetree fragments;
* rewriter: a utility to help testing ppx rewriters that runs the
rewriter on user-provided code and returns the result;
* Ast_mapper_class: a generic mapper from Parsetree to Parsetree
implementing a deep identity copy, which can be customized with a
custom behavior for each syntactic category;
* dumpast: parses fragments of OCaml code (or entire source files)
and dump the resulting internal Parsetree representation;
* genlifter: generates a virtual "lifter" class for one or several
OCaml type constructors.

Alternatives

Package Version Architecture Repository
libppx-tools-ocaml-dev_5.0+4.05.0-1_amd64.deb 5.0+4.05.0 amd64 Ubuntu Universe
libppx-tools-ocaml-dev - - -

Requires

Name Value
libc6 >= 2.1.3
ocaml-nox-4.05.0 -

Provides

Name Value
libppx-tools-ocaml-dev-cqv09 -

Download

Type URL
Binary Package libppx-tools-ocaml-dev_5.0+4.05.0-1_i386.deb
Source Package ppx-tools

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libppx-tools-ocaml-dev deb package:
    # sudo apt-get install libppx-tools-ocaml-dev

Files

Path
/usr/lib/ocaml/ppx_tools/META
/usr/lib/ocaml/ppx_tools/ast_convenience.cmi
/usr/lib/ocaml/ppx_tools/ast_convenience.cmt
/usr/lib/ocaml/ppx_tools/ast_convenience.cmti
/usr/lib/ocaml/ppx_tools/ast_convenience.cmx
/usr/lib/ocaml/ppx_tools/ast_convenience.mli
/usr/lib/ocaml/ppx_tools/ast_mapper_class.cmi
/usr/lib/ocaml/ppx_tools/ast_mapper_class.cmt
/usr/lib/ocaml/ppx_tools/ast_mapper_class.cmti
/usr/lib/ocaml/ppx_tools/ast_mapper_class.cmx
/usr/lib/ocaml/ppx_tools/ast_mapper_class.mli
/usr/lib/ocaml/ppx_tools/dumpast
/usr/lib/ocaml/ppx_tools/genlifter
/usr/lib/ocaml/ppx_tools/ppx_metaquot
/usr/lib/ocaml/ppx_tools/ppx_tools.a
/usr/lib/ocaml/ppx_tools/ppx_tools.cma
/usr/lib/ocaml/ppx_tools/ppx_tools.cmxa
/usr/lib/ocaml/ppx_tools/ppx_tools.cmxs
/usr/lib/ocaml/ppx_tools/rewriter
/usr/share/doc/libppx-tools-ocaml-dev/README.md.gz
/usr/share/doc/libppx-tools-ocaml-dev/changelog.Debian.gz
/usr/share/doc/libppx-tools-ocaml-dev/copyright
/var/lib/ocaml/lintian/libppx-tools-ocaml-dev.info
/var/lib/ocaml/md5sums/libppx-tools-ocaml-dev.md5sums

Changelog

2017-09-22 - Stéphane Glondu <glondu@debian.org>
ppx-tools (5.0+4.05.0-1) unstable; urgency=medium
* New upstream release
2016-07-27 - Stéphane Glondu <glondu@debian.org>
ppx-tools (5.0+4.02.0-1) unstable; urgency=medium
* New upstream release
- remove patches (merged upstream)
* Update Vcs-*
* Bump Standards-Version to 3.9.8
2015-10-11 - Stéphane Glondu <glondu@debian.org>
ppx-tools (0.99.2-4) unstable; urgency=medium
* Upload to unstable
2015-03-27 - Stéphane Glondu <glondu@debian.org>
ppx-tools (0.99.2-3) experimental; urgency=medium
* Fix FTBFS on ppc64el
2015-03-27 - Stéphane Glondu <glondu@debian.org>
ppx-tools (0.99.2-2) experimental; urgency=medium
* Add support for bytecode architectures
2015-03-10 - Stéphane Glondu <glondu@debian.org>
ppx-tools (0.99.2-1) experimental; urgency=low
* Initial upload (Closes: #779574).

See Also

Package Description
libppx-visitors-ocaml-dev_20170725-2_i386.deb OCaml syntax extension for object-oriented visitors
libppx-visitors-ocaml-doc_20170725-2_all.deb Documentation of the visitors syntax extension for OCaml
libpqtypes-dev_1.5.1-2_i386.deb parameterized queries libpq extension - development
libpqtypes0_1.5.1-2_i386.deb parameterized queries libpq extension - shared library
libpqxx-4.0v5_4.0.1+dfsg3-8_i386.deb C++ library to connect to PostgreSQL
libpqxx-dev_4.0.1+dfsg3-8_i386.deb C++ library to connect to PostgreSQL (development files)
libpqxx-doc_4.0.1+dfsg3-8_all.deb C++ library to connect to PostgreSQL (documentation)
libpqxx3-dev_4.0.1+dfsg3-8_all.deb Transitional dummy package for libpqxx-dev
libpracticalxml-java_1.1.19-1_all.deb practical XML handling routines
libpragmatic-perl_1.7-2_all.deb Adds pragmata to Exporter
libpreferencepanes-dev_1.2.0-2build3_i386.deb GNUstep preferences library - development files
libpreferencepanes1_1.2.0-2build3_i386.deb GNUstep preferences library - runtime library
libprefork-perl_1.04-2_all.deb Module loading for forking or non-forking processes in Perl
libprelude-dev_4.1.0-4_i386.deb Security Information and Events Management system [ Development files ]
libprelude-doc_4.1.0-4_all.deb Security Information and Events Management system [ Documentation ]
Advertisement
Advertisement